﻿using System;

namespace NoteMan
{
    class Appointment : Element
    {
        private DateTime start;
        private DateTime end;

        public Appointment()
        {
            start = new DateTime();
            end = new DateTime();
        }

        public Appointment(string title, string text, DateTime start, DateTime end) : base(title, text)
        {
            if (end.CompareTo(start) < 0)
            {
                Console.Out.WriteLine("DateTimeComparison: end < start!");
                throw new EndBeforeStartException();
            }
            this.start = start;
            this.end = end;
        }


        public void UpdateRecord(string title, string text, DateTime start, DateTime end)
        {
            if (end.CompareTo(start) < 0)
            {
                Console.Out.WriteLine("DateTimeComparison: end < start!");
                throw new EndBeforeStartException();
            }
            base.UpdateRecord(title, text);
            this.start = start;
            this.end = end;
        }
    }
}
